package de.intevation.artifactdatabase.transition;

import de.intevation.artifactdatabase.state.State;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface Transition {

    /**
     * Return the ID of the start State.
     */
    public String getFrom();

    /**
     * Return the ID of the target State.
     */
    public String getTo();

    /**
     * Set the ID of the current State.
     *
     * @param from The ID of the current state.
     */
    public void setFrom(String from);

    /**
     * Set the ID of the target State.
     *
     * @param to The ID of the target state.
     */
    public void setTo(String to);

    /**
     * Determines if the transition from <code>state</code> is valid.
     */
    public boolean isValid(State state);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
